<template>
    <div class="pipeline-file map-background" v-show="pipelineFile">
        <span>管线文件选择</span>
    </div>
</template>

<script>
import eventBus from '../../../../eventBus'

export default {
  name: 'PipelineFile',
  data () {
    return {
      pipelineFile: false
    }
  },
  mounted () {
    eventBus.$on('pipelineFile-choose', (obj) => {
      this.pipelineFile = obj
    })
  }
}
</script>

<style lang="less" scoped>
    .pipeline-file {
        min-width: 1.94532rem;
        max-height: 2.343213rem;
    }
</style>
